on_start
{		
	blue_available_point1
	blue_notavailable_point3
	blue_available_point7		
	red_available_point2
	red_notavailable_point4
	red_available_point8                                     
		
}

on_msg(The RED power generator is down!)
{
	blue_notavailable_point7
	blue_available_point3
}

on_msg(The BLUE power generator is down!)
{
	red_notavailable_point8
	red_available_point4
}

on_msg(target red_fixgen, toggle 0)
{
	blue_available_point1
	blue_notavailable_point3
	blue_available_point7	
}

on_msg(target blue_fixgen, toggle 0)
{
	red_available_point2
	red_notavailable_point4
	red_available_point8 
}